description: Profile for Web applications
skeleton:
  executable:
  - '**/gradlew*'
  - '**/grailsw*'
  binaryExtensions:
  - png
  - gif
  - jpg
  - jpeg
  - ico
  - icns
  - pdf
  - zip
  - jar
  - class
  - woff
  - woff2
features:
  defaults:
  - hibernate
  - database-migration
  - events
  - geb
  - bootstrap
  required:
  - gsp
  - asset-pipeline
  - jquery
  - fields
  provided:
  - fields
  - popper
  - jquery
  - bootstrap
  - bootstrap-sass
build:
  plugins:
  - war
  - org.graceframework.grace-web
  excludes:
  - org.graceframework.grace-core
dependencies:
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-actuator
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-tomcat
- scope: compile
  coords: org.graceframework:grace-boot
- scope: compile
  coords: org.graceframework:grace-logging
- scope: compile
  coords: org.graceframework:grace-plugin-controllers
- scope: compile
  coords: org.graceframework:grace-plugin-codecs
- scope: compile
  coords: org.graceframework:grace-plugin-databinding
- scope: compile
  coords: org.graceframework:grace-plugin-datasource
- scope: compile
  coords: org.graceframework:grace-plugin-domain-class
- scope: compile
  coords: org.graceframework:grace-plugin-i18n
- scope: compile
  coords: org.graceframework:grace-plugin-interceptors
- scope: compile
  coords: org.graceframework:grace-plugin-management
- scope: compile
  coords: org.graceframework:grace-plugin-rest
- scope: compile
  coords: org.graceframework:grace-plugin-services
- scope: compile
  coords: org.graceframework:grace-plugin-url-mappings
- scope: compile
  coords: org.graceframework.plugins:cache
- scope: compile
  coords: org.graceframework.plugins:async
- scope: compile
  coords: org.graceframework.plugins:scaffolding
- scope: compile
  coords: org.graceframework.plugins:fields
name: web
extends: org.graceframework.profiles:base:2023.0.0-M5
commands:
  create-interceptor: create-interceptor.yml
  create-service: create-service.yml
  create-controller: create-controller.yml
  create-integration-test: create-integration-test.yml
  create-taglib: create-taglib.yml
templates:
- testing/Service.groovy
- testing/Integration.groovy
- testing/Interceptor.groovy
- testing/TagLib.groovy
- testing/Controller.groovy
- artifacts/Service.groovy
- artifacts/Interceptor.groovy
- artifacts/TagLib.groovy
- artifacts/Controller.groovy
